Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.ras
Class RasServer

    java.lang.Object
      java.lang.Thread
          scone.ras.RasServer

All Implemented Interfaces:
  java.lang.Runnable

    public class RasServer

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`static java.lang.String` | `CLOSE_DEDICATED`
`static java.lang.String` | `CON_DEDICATED`
`static java.lang.String` | `CON_SINGLETON`
`static java.lang.String` | `OPEN_DEDICATED`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`RasServer(int port)` Creates a new RAS-Server at the specified port

Method Summary
`void` | `run()`
`void` | `shutdown()` Stops the RAS-Server

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CON_DEDICATED

    public static java.lang.String CON_DEDICATED

### CON_SINGLETON

    public static java.lang.String CON_SINGLETON

### OPEN_DEDICATED

    public static java.lang.String OPEN_DEDICATED

### CLOSE_DEDICATED

    public static java.lang.String CLOSE_DEDICATED

Constructor Detail

### RasServer

    public RasServer(int port)
              throws java.io.IOException

  Creates a new RAS-Server at the specified port

  Parameters:
    `port` - the port
  Throws:
    `java.io.IOException`

Method Detail

### shutdown

    public void shutdown()

  Stops the RAS-Server

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD